#!/bin/sh

# [ NAS utilities ]
IFCONFIG=/sbin/ifconfig
GREP=/bin/grep
AWK=/usr/bin/awk
TR=/usr/bin/tr
TOOLBOX=/usr/bin/toolbox
WGET=/usr/bin/wget
HOSTNAME=/bin/hostname

# [ Transmission variables ]
#TR_APP_VERSION
#TR_TIME_LOCALTIME
#TR_TORRENT_DIR
#TR_TORRENT_ID
#TR_TORRENT_HASH
#TR_TORRENT_NAME

TASK_NAME="Unknown Task"
if [ "x$TR_TORRENT_ID" != "x" ]; then
    TASK_NAME=$TR_TORRENT_NAME
elif [ "x$DL_TASK_ID" != "x" ]; then
    TASK_NAME=$DL_TASK_NAME
elif [ "x$NZB_TASK_ID" != "x" ]; then
    TASK_NAME=$NZB_TASK_NAME
fi

# [ APNS settings ]
APNS_API_URL=http://apns.asustor.com/api/sendMessage.php

APNS_APP_ID=3
APNS_MESSAGE="Download Complete: [`$HOSTNAME`] $TASK_NAME"
APNS_SOUND="bingbiong.aiff"
ETH=`$TOOLBOX getconf /etc/nas.conf Lan1 Name`
APNS_HOST_ID=`$IFCONFIG $ETH | $GREP HWaddr | $AWK -F' ' '{print $5}' | $TR ':' '-'`


###
###  Send the apns message...
###

# Test code
#APNS_POST_DATA="json='{\"AppId\":\"$APNS_APP_ID\", \"Message\":\"$APNS_MESSAGE\", \"Sound\":\"$APNS_SOUND\", \"Badge\":\"0\", \"HostId\":\"$APNS_HOST_ID\"}'"
#echo $WGET --post-data "$APNS_POST_DATA" $APNS_API_URL -qO -

APNS_POST_DATA="json={\"AppId\":\"$APNS_APP_ID\", \"Message\":\"$APNS_MESSAGE\", \"Sound\":\"$APNS_SOUND\", \"Badge\":\"0\", \"HostId\":\"$APNS_HOST_ID\"}"
$WGET --post-data "$APNS_POST_DATA" $APNS_API_URL -qO -
